Subject: Re: linux kernel – 4.4.45 : VPN test failure

From: "[email-masked]" <[email-masked]>
Date: Wed, 25 Oct 2017 15:08:30 +0200

On Wed, Oct 25, 2017 at 12:49:09PM +0000, Nanjappa, Gangadhar wrote:
> Hi All,
> Using linux kernel – 4.4.45 (Blurry Fish Butt), VPN test fails. If I
> revert the attached five patches, VPN test passes. But I’m not
> supposed to revert the patches to get the test passed. I’m analyzing
> the patches, please help me to resolve this issue. If the below
> patches are present, in the VpnTest.java file that I’ve attached, the
> failure path is testAppDisallowed()--> checkNoTrafficOnVpn() -->
> checkUdpEcho("192.0.2.251", null) --> fail("Received unexpected
> reply");

4.4.45 is _very_ old, can you duplicate this on 4.4.94?  Do you also
have this problem on 4.14-rc6?

thanks,

greg k-h